e2fsprogs (1.47.4-1) unstable; urgency=medium

  * New upstream version
  * Mark libext2fs-dev as Multi-Arch: same (Closes: #1118461)
  * Suppress warnings in mke2fs regarding large block sizes if the kernel
    supports blocksize greater than page size
  * Add mke2fs extended option in root_selinux to set a SELinux security
    context label for the root directory
  * Enable mke2fs to support multiple -E options in the command line.
  * Fix e2fsck incorrectly flagging fast symlinks with a large external
    extended attribute (using an EA inode) as having an invalid number of
    blocks
  * Add a check in e2fsck for an extended attributes with a value stored
    in an EA inode that has an invalid zero size
  * Fix e2scrub so that it the retry loop for lvremove works properly (in
    case of a temporary busy failure)
  * Many bug fixes for fuse2fs and libext2fs to make fuse2fs behave more
    like the Linux kernel's implementation of ext4.  These were found when
    running fuse2fs under xfstests, and fixing the resulting test failures
    (Closes: #1108534)
  * Mke2fs warnings about dax are now printed to stdout instead of stderr,
    since they aren't failures
  * Fix mke2fs so it won't create an orphan file inode which is larger than
    what the kernel now permits when using a 64k blocksize
  * Fix mke2fs -d so it can handle copying a file larger than 2 GiB
  * Fix e4defrag crashing when it tries to defragment an inline data f
  * Various man page cleanups (Closes: #1125176)
  * Set Multi-Arch same: on libext2fs2-dev to allow co-installation on
    platforms such as amd64 and arm64
  * Fix a FTBFS caused by a doubled pkg-config in the debian/rules which
    previously silently worked, but now fails with a newer version of
    pkg-config (Closes: #1126636)

 -- Theodore Y. Ts'o <tytso@mit.edu>  Fri, 06 Mar 2026 11:16:31 -0500

e2fsprogs (1.47.3-1) unstable; urgency=medium

  * New upstream version
  * Update Malay translation

 -- Theodore Y. Ts'o <tytso@mit.edu>  Tue, 08 Jul 2025 17:29:53 -0400

e2fsprogs (1.47.3~rc3-1) experimental; urgency=medium

  * fix missing dependency in libext2fs2t64 for libcom-err2
    (Closes: #1108010)
  * e2scrub no longer runs fstrim by default, since util-linux ships
    with a fstrim.timer systemd file which will run fstrim on all
    mounted file systems.
  * Fix a bounding error in ext2fs_fallocate() which could cause it to
    allocate far more blocks than was requested.  This caused a
    failure in fuse2fs while formatting a loopback file system stored
    in a large sparse file.
  * update to debian policy 4.7.2

 -- Theodore Y. Ts'o <tytso@mit.edu>  Wed, 02 Jul 2025 13:57:20 -0400

e2fsprogs (1.47.3~rc2-1) experimental; urgency=medium

  * Add a lockfile command-line option to fuse2fs which is useful for
    scripts that need to know when fuse2fs is done modifying the file system
    after it is unmounted.
  * Fix mke2fs -d when importing large directories (Closes: #1106854)
  * Fix indention problem in the man page for mke2fs
  * Fix a (hard to reproduce) extent tree corruption bug which could be
    triggered by resize2fs or fuse2fs if the extent tree was especially complex
  * Fix error path handling in fuse2fs when servicing an op_create request.
  * Fix spurious warnings from fuse2fs while servicing an op_fallocate request.
  * Fix fuse2fs to correctly translate system errors from libext2fs to the
    negative error codes expected by the FUSE kernel driver.
  * Update Czech, Chinese, Dutch, French, Portuguese, Polish, Romainian,
    Serbian, Spanish, Swedish, and Ukrainian translations.

 -- Theodore Y. Ts'o <tytso@mit.edu>  Wed, 02 Jul 2025 13:55:59 -0400

e2fsprogs (1.47.3~rc1-1) experimental; urgency=medium

  * Mke2fs -d can now copy the fs-verity metadata and chattr flags
    into newly created file system.
  * Many fuse2fs improvements and bug fixes
      - Add support for XATTR_CREATE and XATTR_REPLACE flags in setxattr()
      - Add support for FALLOC_FL_ZERO_RANGE.
      - Add support to fuse2fs for the setting file attributes via fsxattr,
        including support for nanosecond timestamps.
      - Add support to set newer chattr flags.
      - Fix fuse2fs support for O_APPEND, O_TRUNC, POSIX ACLs, and
        the immutable flag
      - Remove the ea_inode when deleting the last file using the ea_inode
      - Update timestamps after mkdir() and symlink() operations
      - Fix error code handling for fallocate(), truncate() and
        removexattr().
      - Improve handling of corrupted file systems
      - Refuse to handle renameat2's RENAME_EXCHA?NGE or RENAME_WHITEOUT
        flags instead of doing something random
      - Avoid clearing the setgid bit in op_chmod when file's group
        ownership the calling process's group list (instead of just the
        primary group id).
      - Align with the kernel's behaviors:
          + clearing post-EOF on truncation
          + validating FITRIM's parameters consistently with how the kernel
            does things
          + how the "ro" mount option will replay the journal
          + only supporting the xattr namespaces supported by the kernel
          + clamping timestamps to the minimum and maximum value supported
            by the on-disk format
          + optionally delegating access control decisions to the kernel
      - Don't mount file systems which have features that fuse2fs can't
        deal with.
      - Return inode and type information in readdir()
      - Use the actal inode numbers instead of asking fuse to make
        up inode numbers
      - Use a larger disk cache to improve performance and optionally
        use Direct I/O.
  * Add mke2fs.conf knobs to control whether the RAID stripe or stride
    sizes from the storage device information depending on whether the
    storage device is a rotational or non-rotational device.  By default
    don't set the RAID stripe size for non-rotational devices.
  * Fix "e2fsck -E unshare_blocks" to clear the shared_blocks flag when
    there are no shared blocks to clear
  * Fix "e2fsck -n" to not abort when it trips across an EA inode which
    is not referenced by any inodes in the file system.
  * Fix debugfs's dump and rdump commands to avoid looping forever when
    it runs across an I/O error or corupt filesystem metadata.
  * Fix debugfs's dirsearch command on big-endian systems.
  * Optimize ext2fs_extent_set_bmap() to avoid fragmenting the extent
    tree.  This fixes a problem where resize2fs is trying to relocate
    all of the blocks in a file leading to the extent tree doubling in
    size, and potentially leading to a corrupted extent tree.
  * Fix potential livelock bug in the unix_io manager.
  * Fix invaidation support in the unix_io manager.
  * Various man page cleanups.
  * Improve performance in e2fsck when replaying a journal with a large
    number of revoke blocks (which can be the case on Lustre servers).
  * Improve tune2fs's performance by avoiding scanning the file system to
    update quota inodes in cases when it's not necessary.
  * Update Dutch, Malay, Portuguese, and Serbian translations.

 -- Theodore Y. Ts'o <tytso@mit.edu>  Wed, 28 May 2025 08:50:19 -0400

e2fsprogs (1.47.2-3) unstable; urgency=medium

  * Fix a typo in fuse2fs.postrm which breaks /usr-move mitigation
    (Closes: #1107595)

 -- Theodore Y. Ts'o <tytso@mit.edu>  Tue, 10 Jun 2025 14:59:29 -0400

e2fsprogs (1.47.2-2) unstable; urgency=medium

  * Fix integer overflow bug which resulted in fuse2fs failing to delete
    very large files (Closes: #1106241)
  * Fix an extent corruption bug which in very rare cases could result in
    data loss when resizing a file system or when fuse2fs is operating on
    that file system
  * Various man page cleanups
  * Add a Built-Using field to the e2fsck-static man page to honor a LGPL
    requirement documenting which version of glibc was used to build the
    e2fsck.static binary (Closes: #1106799)
  * Remove the physical address of the FSF from the debian/copyright
    file, addressing a Lintian warning.
  * Fix bug in debugfs when user passes invalid arguments to the
    e2freefrag command
  * Add range checks to "mke2fs -E <desc_size>"
  * Check to make the invalid value of 0 is not passed to "e2freefrag -c"
  * Fix "e2fsck -E unshare_blocks" to clear the shared_blocks flag when
    there are no shared blocks to clear
  * Fix mke2fs to disallow the verity feature without extents
  * Fix fuse2fs to reject renameat2 RENAME_EXCHANGE/RENAME_WHITEOUT
    instead of treating the request (wrongly) as a normal rename
  * Fix fuse2fs to set the timestamps for the new inode created by a mkdir
    or symlink request
  * Fix fuse2fs to clamp the timestamps written to the file system to fix
    a Y2038 bug as tested by fstests generic/402
  * Fix fuse2fs to handle the encoding of POSIX acl's correctly
  * Fix fuse2fs to return EOPNOTSUPP when a fallocate(2) mode is not supported
  * Fix fuse2fs to refuse mounting a file system with file system features
    that it doesn't know how to handle
  * Fix debugfs's dump and rdump commands to avoid looping forever when
    it runs across an I/O error or corupt filesystem metadata.
  * Fix debugfs's dirsearch command on big-endian systems.
  * Optimize ext2fs_extent_set_bmap() to avoid fragmenting the extent
    tree.  This fixes a problem where resize2fs is trying to relocate
    all of the blocks in a file leading to the extent tree doubling in
    size, and potentially leading to a corrupted extent tree.
  * Fix "e2fsck -n" to not abort when it trips across an EA inode which
    is not referenced by any inodes in the file system.

 -- Theodore Y. Ts'o <tytso@mit.edu>  Mon, 09 Jun 2025 20:49:10 -0400

e2fsprogs (1.47.2-1) unstable; urgency=medium

  * New upstream version
  * Update Chinese, Czech, French, Malay, Polish, Romainian, Spanish,
    Swedish, and Ukrainian translations.
  * Teach dumpe2fs and e2mmpstatus to support LABEL= and UUID= specifiers
    since the e2mmpstatus man page claims those specifiers are supported.
  * Suppress mke2fs's "Creating regular file" message when the -q option
    is in force.
  * Add Suggests: libarchive13t64 to e2fsprogs (Closes: #1089085)
  * Decrease priority of e2fsprogs from required to important (Closes: 897277)
  * Fix resize2fs to update the checksums in blocks belonging to the
    orphan file if it needs to move them.
  * Fix e2fsck to clear the orphan file after processing it so that "e2fsck
    -E journal_only" doesn't leave the file system in a corrupted state.

 -- Theodore Y. Ts'o <tytso@mit.edu>  Wed, 01 Jan 2025 00:30:02 -0500

e2fsprogs (1.47.2~rc1-2) unstable; urgency=medium

  * Fix fuseext2 transition to account for /usr-move (Closes: #1088838)
  * Fix orphan_file support on big endian systems.
  * Mke2fs will allow "-r 1" since fsarchiver uses it rather pointlessly
  * Allow building e2fsprogs without libarchive-dev installed to make life
    easier for bootstrapping for new Debian ports (Closes: #1078693)

 -- Theodore Y. Ts'o <tytso@mit.edu>  Tue, 03 Dec 2024 23:40:01 -0500

e2fsprogs (1.47.2~rc1-1) unstable; urgency=medium

  * New upstream version
  * Remove the -r option from tune2fs and replace it with an extended
    option since most users will never need to request a file system
    suitable for pre-1995 1.2 version kernels and a typo will just end up
    confusing the user and leaving them with a file system missing most
    modern ext4 features, including no support for on-line resizing and no
    support for post-2038 timestamps.   (Closes: #1086603)
  * Add support for gnu.translator extended attrbutes in tar files fed to
    mke2fs -d.
  * Avoid a spurious failure in badblocks when -n or -w is specified
    twice.  (Closes: #1087341)
  * Fix a bug which caused e2fsck to skip checking a file system with the
    orphan_file feature if there are orphaned files which need to be
    cleaned up.
  * Fix a bug which caused tune2fs to corrupt a revision 0 file system
    when changing the inode size by updating the revision to the current
    standard revision supported by all Linux kernels since 1995.
  * Fix fuse2fs --helpfull so that it displays the full help message.
  * Allow resize2fs to perform an offline resize past the 256 TiB boundary
  * Fix unused parameter warnings for packages which including ext2fs.h.
    (Closes: #1082500)
  * Provide fuseext2 to replace the debian package src:fuse-umfuse-ext2.
    (Closes: #1085590)
  * Clean up groff warnings in man pages.  (Closes: #1086892, #1082787,
    #1072866, #1087898)
  * Document the orphan_file feature in the ext4(5) and tune2fs(8) man
    pages.  (Closes: #1073062)

 -- Theodore Y. Ts'o <tytso@mit.edu>  Thu, 28 Nov 2024 23:35:35 -0500

e2fsprogs (1.47.1-1) unstable; urgency=medium

  * New upstream version
  * Clarify the lsattr and mklost+found man pages that they are applicable
    for ext2, ext3, and ext4 file systems and not just for ext2.  (Closes:
    #1041115)
  * Replace the build-depend on pkg-config with pkgconf to fix a Lintian
    warning.
  * E2fsck will now perform more consistency checks on EA (extended
    attribute value) inodes.
  * Fix a big where e2fsck could potentially leak an acl block when
    releasing an orphan inode.
  * Avoid a divide by zero crash in libext2fs if the container
    infrastructure, such as lxcfs, reports that the system has zero CPU's
    via sysconf(_SC_NPROCESSORS_CONF).

 -- Theodore Y. Ts'o <tytso@mit.edu>  Mon, 20 May 2024 15:28:06 -0400

e2fsprogs (1.47.1~rc2-1) unstable; urgency=medium

  * New upstream version
  * Update Chinese, Czech, French, Polish Romainian, Swedish, and
    Ukrainian translations
  * Fix libarchive support in mke2fs on mips64el (Closes: #1070042)
  * Fix e2scrub when the "systemctl" package is installed instead of
    systemd.  (Closes: #1070107)
  * Update to standards 4.7.0

 -- Theodore Y. Ts'o <tytso@mit.edu>  Mon, 20 May 2024 15:24:47 -0400

e2fsprogs (1.47.1~rc1-3) unstable; urgency=medium

  * Remove duplicated work in release notes
  * Fix resize2fs's calculation of free clusters in the last block group
    for file systems larger than 4TB
  * Fix FTBFS on Hurd caused by trying to install e2scrub's systemd unit
    files which aren't built since e2scrub isn't supported on Hurd
  * Don't build mke2fs with libarchive support on mips64el since a bug in
    libarchive only on that architecture causes a FTBFS due to the
    regression test suite failing.  (See Debian Bug 1070042 for more details)

 -- Theodore Y. Ts'o <tytso@mit.edu>  Mon, 29 Apr 2024 21:57:42 -0400

e2fsprogs (1.47.1~rc1-1) unstable; urgency=medium

  * Re-enable metadata_csum_seed and orphan_file by default now that
    Debian Bookworm is released
  * New upstream version
  * Add support for post-2038 timestamps on platforms with 64-bit time_t.
  * Mke2fs -d can now support an input tar file if the libarchive library
    is available.
  * Install a udev rule to inihibit ext4 file systesm from being
    automounted by udisks.
  * Debugfs's 'hash' command has been enhanced to use the hash seed and
    algorithm from a superblock if a file system is opened and to display
    the hash seed and algorithm if the -v flag is given.
  * Teach mke2fs with a new extended options, root_perms, which overrides
    the permissions for the root directory for the new file system.
  * Preserve any error indicator in the superblock when replaying the
    journal so that a subsequent fsck can repair the file system afterwards.
  * Fix potential mke2fs failures when creating a file system with an
    orphan file when the storage device has a previous file system and
    does not support discard/trim commands.
  * E2fsck will clear the orphan_present feature silently in preen mode.
  * Fix potential checksum failures when performing an online resize when
    the mounted file system is actively modifying the superblock.
  * Fix a bug where a checksum failure in an htree directory can cause
    e2fsck's preen mode to abort unnecessarily.
  * Fix e2fsck's handling of an invalid symlink in an inline_data
    directory.
  * Fix e4crypt from issuing a spurious "success" error message when
    trying to set a policy on a non-directory.
  * Fix a potential infinite loop in debugfs's logdump command in some
    edge cases.
  * Fix e2fsck to correctly update quota usage after optimizing
    directories or deleting corrupted inodes.
  * Fix fuse2fs so that directories are created with the correct
    permissions instead of having the other and group write permissions
    masked off.
  * Fix a potential e2fsck divide by zero crash caused by a maliciously
    fuzzed file system.
  * Fix dumpe2fs to report free block ranges correctly for bigalloc file
    systems.
  * Fix resize2fs where resizing a bigalloc file system can result in the
    free cluster count in the last block group and the total free clusters
    count to be incorrect.
  * Avoid spurious e2scrub failures caused by trying to scrub file
    syustems that do not have the journal enabled, and by aborting scrub
    runs while upgrading the e2fsprogs package
  * Teach tune2fs to detect a file system which is mounted but is not
    mentioned in the mount namespace where tune2fs is run by treating a
    block device which is busy as if it is mounted.
  * If tune2fs can't find the mountpoint for a file system which is
    apparently mounted (perhaps because it's not present in the current
    mount namespace) when attempting to set the label or UUID in the
    superblock, fall back to the old method of modifying block device and
    silence printing any error messages.
  * If both the primary superblock and first block group's backup
    superblock are corrupted, e2fsck will now try additional backup
    superblocks if they are available.
  * Avoid mke2fs from creating an invalid file system with an insufficient
    number of inodes when creating a file system which is very small
    (100k), a block size of 1k, and an inode size of 256 bytes.
  * Fix a potential deadlock caused by e2fsck being run in Direct I/O mode
    with the threading optimization enabled.
  * Update and clarify various man pages.  (Closes: #1038286)
  * Add support for SOURCE_DATE_EPOCH environment variable
  * Improve resize2fs's performance by eliminating extra cache flushes.
  * Improve mke2fs's performance when zeroing a large number of inode
    table blocks (when lazy inode table initialization is not enabled) by
    batching calls to ext2fs_zero_blocks.
  * Use a safe_getenv function for all calls to fetch the environment
    variable in libext2fs.
  * Upgrade fuse2fs to use fuse v3.
  * Build the binaries using FORTIFY_SOURCE=3 for better hardening
  * Add Romainian translation.
  * Update Malay translation.

 -- Theodore Y. Ts'o <tytso@mit.edu>  Fri, 26 Apr 2024 22:23:25 -0400

e2fsprogs (1.47.0-2.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable.
  * Version Provides and Breaks (thanks to Matthias Klose).

 -- Helmut Grohne <helmut@subdivi.de>  Wed, 13 Mar 2024 07:20:06 +0100

e2fsprogs (1.47.0-2.4~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * Revert time64 transitions for libss2 and libcom-err2.
  * Enable dh_movetousr (DEP17). (Closes: #1060000)
    + Mitigate file loss in libext2fs2 -> libext2fs2t64 upgrade and /usr-move.

 -- Helmut Grohne <helmut@subdivi.de>  Sun, 10 Mar 2024 21:02:48 +0100

e2fsprogs (1.47.0-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix package names in d/*.shlibs.local. (Closes: #1065087)
  * Update sonames in d/libext2fs2t64.lintian-overrides.
  * Fix packages names in code for updating symbols fies in d/rules.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 01 Mar 2024 08:01:06 +1300

e2fsprogs (1.47.0-2.2) unstable; urgency=medium

  * Non-maintainer upload.

  [ Helmut Grohne ]
  * Fix FTBFS when systemd.pc changes systemdsystemunitdir. (Closes: #1053111)

  [ Michael Hudson-Doyle ]
  * Account for changes in udevudevdir as well.
  * Rename libraries for 64-bit time_t transition.

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Wed, 28 Feb 2024 23:40:42 +0000

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog e2fsck-static`.
